{% macro _menu_links(items, menu_level, attributes) %}
  {% if menu_level == 0 %}
    {% set attributes = attributes|add_class("usa-sidenav") %}
  {% else %}
    {% set attributes = attributes|add_class("usa-sidenav__sublist") %}
  {% endif %}
  {% if items %}
    <ul {{ attributes }}>
      {% for item in items %}
        {% set item_classes = ["usa-sidenav__item", "expanded dropdown" if item.is_expanded and item.below, "active active-trail" if item.in_active_trail, "first" if loop.first, "last" if loop.last, ] %}
        {% set link_attributes = item.link_attributes|default({}) %}
        {% if not item.url %}
          {% set menu_item_type = "nolink" %}
        {% elif not item.url and item.url.routeName == "<button>" %}
          {% set menu_item_type = "button" %}
        {% else %}
          {% set menu_item_type = "link" %}
        {% endif %}
        {% set link_attributes = link_attributes|add_class(menu_item_type) %}
        {% if item.in_active_trail %}
          {% set link_attributes = link_attributes|add_class("usa-current") %}
        {% endif %}
        <li {{ item.attributes|add_class(item_classes) }}>
          <a {{ link_attributes|set_attribute("href", item.url) }}>{{ item.title }}</a>
          {% if item.is_expanded and item.below %}{{ _menu_links(item.below, menu_level + 1, attributes) }}{% endif %}
        </li>
      {% endfor %}
    </ul>
  {% endif %}
{% endmacro %}
{{ _menu_links(items, 0, attributes) }}
